# Retrieves the collection of TicketingProductBaseOption resources.

Retrieves the collection of TicketingProductBaseOption resources.

Endpoint: GET /v1/ticketing/catalogs/{catalogId}/product_bases/{productBaseId}/options
Version: release
Security: JWT

## Path parameters:

  - `catalogId` (string, required)
    Catalog identifier

  - `productBaseId` (string, required)
    ProductBase identifier

## Response 200 fields (application/ld+json):

  - `totalItems` (integer)

  - `search` (object)

  - `search.@type` (string)

  - `search.template` (string)

  - `search.variableRepresentation` (string)

  - `search.mapping` (array)

  - `search.mapping.@type` (string)

  - `search.mapping.variable` (string)

  - `search.mapping.property` (string | null)

  - `search.mapping.required` (boolean)

  - `member` (array, required)

  - `member.@context` (any)

  - `member.@context.@vocab` (string, required)

  - `member.@context.hydra` (string, required)
    Enum: "http://www.w3.org/ns/hydra/core#"

  - `member.@id` (string, required)

  - `member.@type` (string, required)

  - `member.code` (string, required)
    Example: zone

## Response 403 fields (application/ld+json):

  - `@context` (any)

  - `@context.@vocab` (string, required)

  - `@context.hydra` (string, required)
    Enum: "http://www.w3.org/ns/hydra/core#"

  - `@id` (string, required)

  - `@type` (string, required)

  - `title` (string | null, required)
    A short, human-readable summary of the problem.

  - `detail` (string | null, required)
    A human-readable explanation specific to this occurrence of the problem.

  - `status` (integer | null, required)

  - `instance` (string | null, required)
    A URI reference that identifies the specific occurrence of the problem. It may or may not yield further information if dereferenced.

  - `type` (string, required)
    A URI reference that identifies the problem type

  - `description` (string | null, required)

